SIGNIFICAND(3)

NAME
significand, significandf, significandl - get mantissa of floating-point number

SYNOPSIS
#include <math.h>

double significand(double x);
float significandf(float x);
long double significandl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

significand(), significandf(), significandl():
    _SVID_SOURCE || _BSD_SOURCE

DESCRIPTION
The significand() function returns the mantissa of x scaled to the range [1,2). It is equivalent to

scalb(x, (double) -ilogb(x))

This function exists mainly for use in certain standardized tests for IEEE 754 conformance.

CONFORMING TO
These functions are nonstandard; the double version is available on a number of other systems.

SEE ALSO
ilogb(3), scalb(3)

COLOPHON
This page is part of release 3.52 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.